<?php 
require_once('dilmot-functions.php');

while ($the_query->have_posts()) {
	$the_query->the_post();
	$category = get_the_category();

	$stream_image_url = $aPlugin->get_single_custom_value('image');
	$stream_status = $aPlugin->get_single_custom_value('stream_status');
	$starts_at = $aPlugin->get_single_custom_value('starts_at');
	$stream_description = $aPlugin->get_single_custom_value('stream_description');
?>

<div class="row home-post">
	<div class="col-ms-5 col-sm-5 hidden-xs">
		<a href="<? the_permalink(); ?>">
			<img src="<? print $stream_image_url ?>" class="img-responsive img-thumbnail listing" alt="<? the_title(); ?>" />
		</a>
	</div><!-- div col-xs-4 -->

	<div class="col-ms-7 col-sm-7">
		<div class="visible-xs">
			<a href="<? the_permalink(); ?>">
				<img src="<? print $stream_image_url ?>" class="img-responsive img-thumbnail listing" alt="<? the_title(); ?>" />
			</a>
		</div><!-- div image visible in xs -->

		<h3 class="interview-title" >
			<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a> 
		</h3>
	    	
		<p>
			<? if($starts_at != "") { ?>
			<strong class="intdate">
				<? if($stream_status == "active") { print dilmot_format_date($starts_at, 'l d F Y, H:i\h', true);} else { print dilmot_format_date($starts_at, 'l d F Y', true); } ?>
			</strong>
			<? } ?>
		</p>

		<? if($stream_description) { ?>
		<p>
			<?php print get_short_text_words($stream_description); ?>
			
		</p>
		<?php } ?>
	        
		<div class="addthis_toolbox addthis_default_style" addthis:url="<? the_permalink(); ?>" addthis:title="<? the_title(); ?>">
			<span class="addthis_separator"><? _e("Share","dilmot"); ?></span>
			<a class="addthis_button_linkedin"></a>
			<a class="addthis_button_facebook"></a>
			<a class="addthis_button_twitter"></a>
		</div>

		<? if ($stream_status == 'closed') { ?>
			<a class="btn btn-default read buttonright" href="<?php the_permalink(); ?>"><? _e("Read interview","dilmot"); ?></a>
		<? } else { ?>
			<a class="btn btn-success ask buttonright" href="<?php the_permalink(); ?>"><? _e("Send your question","dilmot"); ?></button></a>
		<? } ?>

   	</div><!-- div col-xs-8 -->
</div><!-- div row -->
<hr>
<?php } // while; ?>
