<?

/* WIDGETS */


class dilmot_widget_twitter extends WP_Widget {

    //process our new widget
    function dilmot_widget_twitter() {
        $widget_ops = array('classname' => 'twitter', 'description' => __('Show the recent tweets of a selected Twitter account.','dilmot') ); 
        $this->WP_Widget('widget_twitter', 'Twitter', $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {
        $defaults = array('twitter_user' => 'dilmot_com','count' => '5'); 
        $instance = wp_parse_args( (array) $instance, $defaults );
        $twitter_user = strip_tags($instance['twitter_user']);
        $count = strip_tags($instance['count']);
        ?>
            <p><? _e("Twitter username","dilmot"); ?>
            <input type="text" name="<?php echo $this->get_field_name('twitter_user'); ?>" value="<? print esc_attr($twitter_user); ?>" />
		    
            <p><? _e("Maximum number of tweets","dilmot"); ?>
            <select class="widefat" name="<?php echo $this->get_field_name('count'); ?>"><? $i=0; while($i<12){ $i++; ?>
            	<option value="<? print $i; ?>"<? if(esc_attr($count)==$i){ ?>selected="selected"<? } ?>><? print $i; ?></option><? } ?>
       		</select>
        <?php
    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['twitter_user'] = strip_tags($new_instance['twitter_user']);
        $instance['count'] = strip_tags($new_instance['count']);
 
        return $instance;
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 
        echo $before_widget;
        $twitter_user = empty($instance['twitter_user']) ? '&nbsp;' : apply_filters('widget_twitter_user', $instance['twitter_user']);
        $count = empty($instance['count']) ? '&nbsp;' : apply_filters('widget_count', $instance['count']); 
 		
        if ( !empty( $title ) ) { echo $before_title . $title . $after_title; }; ?>
        
		<h2 class="heading"><a target="_blank" href="http://twitter.com/<? print $twitter_user; ?>"><? _e("Twitter","dilmot"); ?> <small>(@<? print $twitter_user; ?>)</small></a></h2>
		<script type="text/javascript">	
			jQuery(document).ready(function($){
				getTwitters('twitter', { 
				  id: '<? print $twitter_user; ?>', 
				  count: <? print $count; ?>, 
				  enableLinks: true, 
				  ignoreReplies: true, 
				  clearContents: true,
				  template: '"%text%" <\/a href="http:/\/\twitter.com/\%user_screen_name%/\statuses/\%id%/\">%time%</\a>'
				});
			});
		</script>
		<div id="twitter">
		 	<p><? _e("Loading twitts...","dilmot"); ?></p>
		</div>
		<div class="follow"><div class="icon"><a href="http://twitter.com/<? print $twitter_user; ?>"><? _e("Follow","dilmot"); ?> <? bloginfo('name'); ?> <? _e("on Twitter","dilmot"); ?></a></div></div>

		
       <? echo $after_widget;
    }
}




class dilmot_widget_tags extends WP_Widget {

    //process our new widget
    function dilmot_widget_tags() {
        $widget_ops = array('classname' => 'tags', 'description' => __('Show the popular interview tags.','dilmot') ); 
        $this->WP_Widget('widget_tags', __('We talk about','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {
        $defaults = array('title' =>  __('We talk about','dilmot'), 'count' => 20); 
        $instance = wp_parse_args( (array) $instance, $defaults );
        $title = strip_tags($instance['title']);
        $count = strip_tags($instance['count']);
        ?>
            <p><? _e("Title","dilmot"); ?>
            <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<? print esc_attr($title); ?>" /></p>
            
            <p><? _e("Maximum number of tags","dilmot"); ?>
            <select class="widefat" name="<?php echo $this->get_field_name('count'); ?>"><? $i=0; while($i<50){ $i++; ?>
            	<option value="<? print $i; ?>"<? if(esc_attr($count)==$i){ ?>selected="selected"<? } ?>><? print $i; ?></option><? } ?>
       		</select>		    
        <?php
    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
 		$instance['count'] = strip_tags($new_instance['count']);
        return $instance;
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 
        echo $before_widget;
        $title = empty($instance['title']) ? '&nbsp;' : apply_filters('widget_title', $instance['title']);
 		?>        
		<h2 class="heading"><? print $title; ?></h2>
			<?php 
			$tags = get_tags('hide_empty=1&orderby=count&order=desc');
			$i=0;
			$html="";
            if (is_array($tags) & isset($instance['count'])) {
    			foreach ($tags as $tag){				
    				if($i<$instance['count']){
    					$tag_link = get_tag_link($tag->term_id);
    					$html .= "<a href='{$tag_link}' title='{$tag->name} Tag' class='{$tag->slug}'>";
    					$html .= "{$tag->name} </a>";
    				}
    				$i++;
    			}
            }
			//$html .= "<p><a href='"
			echo $html;
			?>
			<div class="clear"></div>


		
       <? echo $after_widget;
    }
}


class dilmot_widget_interview_tags extends WP_Widget {

    //process our new widget
    function dilmot_widget_interview_tags() {
        $widget_ops = array('classname' => 'tags', 'description' => __('Show the current interview tags.','dilmot') ); 
        $this->WP_Widget('widget_interview_tags', __('Interview tags','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {
        $defaults = array('title' =>  __('Tags','dilmot')); 
        $instance = wp_parse_args( (array) $instance, $defaults );
        $title = strip_tags($instance['title']);
        ?>
            <p><? _e("Title","dilmot"); ?>
            <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<? print esc_attr($title); ?>" />		    
        <?php
    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
 
        return $instance;
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 
        echo $before_widget;
        $title = empty($instance['title']) ? '&nbsp;' : apply_filters('widget_title', $instance['title']);
 		?>        
		<h2 class="heading"><? print $title; ?></h2>
			<?php 
			global $post;
            $html ="";
			$tags = get_the_tags($post->ID);
			//$tags = sort($tags);
            if (is_array($tags)) {
    			foreach ($tags as $tag){
    				$tag_link = get_tag_link($tag->term_id);
    				$html .= "<a href='{$tag_link}' title='{$tag->name} Tag' class='{$tag->slug}'>";
    				$html .= "{$tag->name} </a>";
    			}
            }
			echo $html;
			?>
			<div class="clear"></div>


		
       <? echo $after_widget;
    }
}



class dilmot_widget_author_info extends WP_Widget {

    //process our new widget
    function dilmot_widget_author_info() {
        $widget_ops = array('classname' => 'tags', 'description' => __('Show the current interview tags.','dilmot') ); 
        $this->WP_Widget('dilmot_widget_author_info', __('Author info','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {
        
    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
        $instance = $old_instance;
 
        return $instance;
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 
        echo $before_widget; 
        global $post; 
        global $aPlugin, $account, $account_url;
        $stream_image_url = $aPlugin->get_single_custom_value('image');
        $stream_description = $aPlugin->get_single_custom_value('stream_description');
        $starts_at = $aPlugin->get_single_custom_value('starts_at');
        ?>
        
        <div id="author-info" class="hidden-xs">
		<img class="img-responsive img-thumbnail" src="<? print $stream_image_url; ?>" alt="<? the_title(); ?>" />
		<div class="module">
		
		<? if($starts_at != "") { ?>
            <h4><? _e("Live interview","dilmot"); ?>:</h4>
            <strong class="intdate">
                <? print dilmot_format_date($starts_at, 'l d F Y, H:i\h', true); ?>
            </strong>
        <? } ?>
        <? /*if(is_future_interview()){ ?>
		<div class="icon ask"><a href="<?php get_interview_link(); ?>/enviar"><? _e("Env&iacute;a tu pregunta","dilmot"); ?></a></div>
		<? } else { ?>
		<div class="icon read"><a href="<?php get_interview_link(); ?>"><? _e("Leer la entrevista","dilmot"); ?></a></div>
		<? } ?>
		<div class="icon share"><a class="addthis_button" href="http://www.addthis.com/bookmark.php?username=llosmarti"><? _e("Compartir","dilmot"); ?></a></div><? */ ?>
		</div>
		<? //mostramos info de la conferencia si la hay y es futura
		if(get_post_meta($post->ID, 'confe_date', true)){ ?>
		<div class="module">
		<h4><? _e("Conference","dilmot"); ?>:</h4>
		<p><? print get_post_meta($post->ID, 'confe_date', true)." ".get_post_meta($post->ID, 'confe_time', true); echo " CET";?><br /><span><? print get_post_meta($post->ID, 'confe_place', true); ?></span></p>
		<? if(conferencia_pasada($post->ID)==false){ ?>
			<div class="icon confe"><a href="<? if(get_post_meta($post->ID, 'confe_url', true)){ print get_post_meta($post->ID, 'confe_url', true); } else { print get_option('confe_custom_url'); } ?>"><? _e("Register to the conference","dilmot"); ?></a></div>
		<? } ?>
		</div>
		<? } ?>
		<div class="content"><? print $stream_description; ?></div>
		<ul class="links">
        	<? $author_website = get_post_meta($post->ID, 'author_website', true); if($author_website){ ?><li class="icon website"><a href="<? print $author_website; ?>" target="_blank"><? _e("Author website","dilmot"); ?></a></li><? } ?>
        	<? $author_photos = get_post_meta($post->ID, 'author_photos', true); if($author_photos){ ?><li class="icon photo"><a href="<? print $author_photos; ?>" target="_blank"><? _e("Photo galleries","dilmot"); ?></a></li><? } ?>
        	<? $author_videos = get_post_meta($post->ID, 'author_videos', true); if($author_videos){ ?><li class="icon video"><a href="<? print $author_videos; ?>" target="_blank"><? _e("Videos","dilmot"); ?></a></li><? } ?>
        	<? $author_books = get_post_meta($post->ID, 'author_books', true); if($author_books){ ?><li class="icon book"><a href="<? print $author_books; ?>" target="_blank"><? _e("Books","dilmot"); ?></a></li><? } ?>
        	<? $author_music = get_post_meta($post->ID, 'author_music', true); if($author_music){ ?><li class="icon music"><a href="<? print $author_music; ?>" target="_blank"><? _e("Music","dilmot"); ?></a></li><? } ?>
        	<? $author_wiki = get_post_meta($post->ID, 'author_wiki', true); if($author_wiki){ ?><li class="icon wiki"><a href="<? print $author_wiki; ?>" target="_blank"><? _e("Wikipedia","dilmot"); ?></a></li><? } ?>
        </ul>
		
		<div class="clear"></div>
	</div>

		
       <? echo $after_widget;
    }
}





class dilmot_widget_interview_ad extends WP_Widget {

    //process our new widget
    function dilmot_widget_interview_ad() {
        $widget_ops = array('classname' => 'ad', 'description' => __('Show the current interview advertisement.','dilmot') ); 
        $this->WP_Widget('widget_interview_ad', __('Interview advertisement','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {

    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
  
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 		global $post; 
 		if(get_post_meta($post->ID, 'dilmot_banner_html',true)){
 		echo $before_widget;      
 		print get_post_meta($post->ID, 'dilmot_banner_html',true);
 		echo $after_widget;
 		} else if(get_post_meta($post->ID, 'dilmot_banner_url',true)){
        echo $before_widget;
        
        //find out if banner url is absolute or relative-to-dilmotapp
        $bannerImgUrl = get_post_meta($post->ID, 'dilmot_banner_image_url',true);
        $wpPrefix = 'http';
        if (substr($bannerImgUrl,0,strlen($wpPrefix)) == $wpPrefix) {
          $bannerImgUrlOutput = $bannerImgUrl;
          } else {
          $bannerImgUrlOutput = substr(get_option('base_url_cdn'),0,-1) . get_option('base_dir_img') . "/" . $bannerImgUrl;
        }
                
              
 		?>        
		<a target="_blank" href="<? print get_post_meta($post->ID, 'dilmot_banner_url',true); ?>"><img src="<? print $bannerImgUrlOutput; ?>" alt="<? _e("Advertisement","dilmot"); ?>" /></a>
		<div class="clear"></div>
       	<? echo $after_widget; }
	
    }
}


class dilmot_widget_interview_ad_2 extends WP_Widget {

    //process our new widget
    function dilmot_widget_interview_ad_2() {
        $widget_ops = array('classname' => 'ad', 'description' => __('Show the current interview advertisement 2.','dilmot') ); 
        $this->WP_Widget('widget_interview_ad_2', __('Interview advertisement 2','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {

    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
  
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 		global $post; 
 		if(get_post_meta($post->ID, 'dilmot_banner_html_2',true)){
 		echo $before_widget;      
 		print get_post_meta($post->ID, 'dilmot_banner_html_2',true);
 		echo $after_widget;
 		} else if(get_post_meta($post->ID, 'dilmot_banner_url_2',true)){
        echo $before_widget;     
 		?>        
		<a target="_blank" href="<? print get_post_meta($post->ID, 'dilmot_banner_url_2',true); ?>"><img src="<? print substr(get_option('base_url_cdn'),0,-1).get_option('base_dir_img')."/".get_post_meta($post->ID, 'dilmot_banner_image_url_2',true); ?>" alt="<? _e("Advertisement","dilmot"); ?>" />
		<div class="clear"></div>
       	<? echo $after_widget; }
	
    }
}

class dilmot_widget_interview_ad_3 extends WP_Widget {

    //process our new widget
    function dilmot_widget_interview_ad_3() {
        $widget_ops = array('classname' => 'ad', 'description' => __('Show the current interview advertisement 3.','dilmot') ); 
        $this->WP_Widget('widget_interview_ad_3', __('Interview advertisement 3','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {

    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
  
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 		global $post; 
 		if(get_post_meta($post->ID, 'dilmot_banner_html_3',true)){
 		echo $before_widget;      
 		print get_post_meta($post->ID, 'dilmot_banner_html_3',true);
 		echo $after_widget;
 		} else if(get_post_meta($post->ID, 'dilmot_banner_url_3',true)){
        echo $before_widget;     
 		?>        
		<a target="_blank" href="<? print get_post_meta($post->ID, 'dilmot_banner_url_3',true); ?>"><img src="<? print substr(get_option('base_url_cdn'),0,-1).get_option('base_dir_img')."/".get_post_meta($post->ID, 'dilmot_banner_image_url_3',true); ?>" alt="<? _e("Advertisement","dilmot"); ?>" />
		<div class="clear"></div>
       	<? echo $after_widget; }
	
    }
}


class dilmot_widget_dropdown_posts extends WP_Widget {

    //process our new widget
    function dilmot_widget_dropdown_posts() {
        $widget_ops = array('classname' => 'dropdown', 'description' => __('Show posts in a dropdown.','dilmot') ); 
        $this->WP_Widget('widget_dropdown', __('Interviews dropdown','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {
        $defaults = array('title' =>  __('Interviews','dilmot'), 'cat' => get_option('cat_interviews')); 
        $instance = wp_parse_args( (array) $instance, $defaults );
        $title = strip_tags($instance['title']);
        //$count = strip_tags($instance['count']);
        $cat = strip_tags($instance['cat']);
        ?>
            <p><? _e("Title","dilmot"); ?>
            <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<? print esc_attr($title); ?>" /></p>
			
			<p><? _e("Category of posts in dropdown","dilmot"); ?>
            <select name="cat_interviews">
		    <? $categories=get_categories('hide_empty=0');
			foreach($categories as $category) { 
			?>
				<option value="<? print $category->term_id; ?>"<? if($category->term_id == $this->get_field_name('cat')){ ?> selected="selected"<? } ?>><? print $category->cat_name; ?></option>
			<? } ?></select>
			</p>
			
            <? /*
            <p><? _e("Maximum number of tags","dilmot"); ?>
            <select class="widefat" name="<?php echo $this->get_field_name('count'); ?>"><? $i=0; while($i<50){ $i++; ?>
            	<option value="<? print $i; ?>"<? if(esc_attr($count)==$i){ ?>selected="selected"<? } ?>><? print $i; ?></option><? } ?>
       		</select>		    
       		*/ ?>
        <?php
    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
 		//$instance['count'] = strip_tags($new_instance['count']);
 		$instance['cat'] = strip_tags($new_instance['cat']);
        return $instance;
    }
 
    //display our widget
    function widget($args, $instance) {
        extract($args);
 
        echo $before_widget;
        $title = empty($instance['title']) ? '&nbsp;' : apply_filters('widget_title', $instance['title']);
 		?>        
		<h2 class="heading"><? print $title; ?></h2>
			<?php 
			$posts = get_posts('numberposts=-1&post_status=publish&orderby=title&order=asc&category='.$instance['cat']); ?>
			<select name="dropdown_posts">
				<option selected="selected" value="0"><? _e("(view list)","dilmot"); ?></option>
			<? foreach ($posts as $post){ ?>
				<option onclick="javascript:window.location.href='<? print get_permalink($post->ID); ?>'"><? print $post->post_title; ?></option>
			<? 
			} ?>
			</select>
			<div class="clear"></div>
       <? echo $after_widget;
    }
}

/* shows a list of interviews grouped by days. It has no limit, if a limit is needed you can get inspired by the limit in the tags widget*/
class dilmot_interview_calendar extends WP_Widget {

    //process our new widget
    function dilmot_interview_calendar() {
        $widget_ops = array('classname' => 'list', 'description' => __('Show the list of interviews and dates.','dilmot') ); 
        $this->WP_Widget('widget_interview_calendar', __('Interview calendar','dilmot'), $widget_ops);
    }
 
     //build our widget settings form
    function form($instance) {
       $defaults = array('title' =>  __('Interview Calendar','dilmot'));
       $instance = wp_parse_args( (array) $instance, $defaults ); 
       $title = strip_tags($instance['title']);
       ?>
           <p><? _e("Title","dilmot"); ?>
           <input type="text" name="<?php echo $this->get_field_name('title'); ?>" value="<? print esc_attr($title); ?>" /></p>
		<?
    }
 
    //save our widget settings
    function update($new_instance, $old_instance) {
		$instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }
 
    //display our widget
    function widget($args, $instance) {
        // This snippet is repeated all over   

if (class_exists('Dilmot_Plugin')) {
    $aPlugin = new Dilmot_Plugin();
    $streams_category = $aPlugin->getOption('StreamsCategory');
    $account = $aPlugin->getOption('DilmotAccount');
    $account_url = $aPlugin->getAccountUrl($account);

} 

        extract($args);
        $date_prev = "";
        echo $before_widget;
        $title = empty($instance['title']) ? '&nbsp;' : apply_filters('widget_title', $instance['title']);
 		?>        
		<h2 class="heading"><? print $title; ?></h2>
			<?php 
			wp_reset_query(); 


		    query_posts('cat='.$streams_category.'&meta_key=starts_at&orderby=meta_value&order=ASC&posts_per_page=-1'); 
			while ( have_posts() ) : the_post();
                if (!in_category("archivo")) { 
				$date = get_interview_date('l d F Y');
                $starts_at = $aPlugin->get_single_custom_value('starts_at');
			 	if ($date !== $date_prev) { 
					echo $separator = (!$date_prev) ? null : "<br/>"; ?>
					<strong class="intdate"><? print get_interview_date('l d F Y',true); ?></strong>
				
		<?	}; ?>
			<span class="addtocal">
				<span class="dtstart" title="<? print dilmot_format_date($starts_at, 'Ymd\THis', true).'Z'; ?>"><? print dilmot_format_date($starts_at, 'H:i\h', true); ?></span><span class="dtend" title="<? print get_interview_date_end('Ymd\THis',true).'Z' ; ?>"></span>
			
				<span class="eventcal_title" style="display:none"><?php the_title(); ?></span>
				<span class="eventcal_url" style="display:none"><?php the_permalink(); ?></span>	
				<span class="eventcal_location" style="display:none"><?php bloginfo('name'); ?></span>
			</span>
		<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br/>
		 <?
				$date_prev = $date;
                        }
			endwhile;


			// Reset Query
			wp_reset_query(); ?>

			<div class="clear"></div>
       <? echo $after_widget;
    }
}

register_widget( 'dilmot_widget_twitter' );
register_widget( 'dilmot_widget_tags' );
register_widget( 'dilmot_widget_interview_tags' );
register_widget( 'dilmot_widget_interview_ad' );
register_widget( 'dilmot_widget_interview_ad_2' );
register_widget( 'dilmot_widget_interview_ad_3' );
register_widget( 'dilmot_widget_author_info' );
register_widget( 'dilmot_widget_dropdown_posts' );
register_widget( 'dilmot_interview_calendar' );
?>
