<?php load_theme_textdomain('dilmot',get_template_directory().'/languages'); ?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <script src="<?php echo get_template_directory_uri(); ?>/social-share-button.js"></script> 
<?

// Load stylesheets
$stylesheets = array(
  'dilmot-bootstrap' => "https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css",
  'dilmot-style' => get_template_directory_uri() . "/dilmot-style.css",
  'custom-bootstrap-style' => get_template_directory_uri(). "/custom-bootstrap.css",
  'custom-style' => get_stylesheet_directory_uri(). "/style.css",
  'social-share-button' => get_template_directory_uri() . "/social-share-button.js",
);

foreach ($stylesheets as $handle => $src) {
  wp_enqueue_style($handle, $src);
}

wp_enqueue_script('addthis', "http://s7.addthis.com/js/250/addthis_widget.js#pub=ghc09");

?>
    <title><? echo bloginfo('title'); ?></title>


    <? wp_head(); ?>
  </head>

  <body>
    <div id="header" class="page-header">

      <div class="container">  
        <div class="row" id="header-logo">
          <h3 id="maintitle"><? bloginfo('name'); ?></h3>
          <h4><?php bloginfo('description'); ?></h4>
          <span class="dilmot-intro"><img src="<? bloginfo('template_directory'); ?>/images/logo-header-dilmot.png" alt="DILMOT" /></span>
        </div>
      </div>

      <div id="headerdivision-wide"></div>
    </div>