var DILMOT_WIDGET_JS = DILMOT_WIDGET_JS || (function($){

	/**
	* Options is an array with any kind of value, typically booleans.
	* options[0] => JS file version to log; string,
	* options[1] => enable JS carousel; boolean primitive.
	* options[2] => enable constant fading loop for live interview date banner; boolean primitive.
	*
	**/
	var _options = {};
	
	$(document).ready(function () {
		if (_options[1]) {
			$('body').removeClass('no-js');
			$('#mycarousel').jcarousel({
	        	auto: 5,
	       		wrap: 'circular',
		        initCallback: mycarousel_initCallback,
				itemFallbackDimension: 255
		    });
		}
	    
	    if (_options[2]) {
		    fadeToggleLoop();
	    }	
	});
	

	
	function mycarousel_initCallback(carousel)
	{
	    // Disable autoscrolling if the user clicks the prev or next button.
	    carousel.buttonNext.bind('click', function() {
	        carousel.startAuto(0);
	    });
	
	    carousel.buttonPrev.bind('click', function() {
	        carousel.startAuto(0);
	    });
	
	    // Pause autoscrolling if the user moves with the cursor over the clip.
	    carousel.clip.hover(function() {
	        carousel.stopAuto();
	    }, function() {
	        carousel.startAuto();
	    });
	    
	    // Show hidden posts
	    jQuery('.post').removeClass('hidden');
	};
	
	function fadeToggleLoop() {
		jQuery('.datelive').fadeToggle(2000, 'linear', setTimeout(fadeToggleLoop, 1000));
	}
	
	return {
		setOptions: function(Args) {
			_options = Args;
		}
	};
	
}(jQuery));

