<?php
/*
Template Name: Dilmot Stream List Page
*/



$current_page = (get_query_var('paged')) ? get_query_var('paged') : 1;
$args = array (
	'cat' => $streams_category,
	'meta_key' => 'starts_at',
	'orderby' => 'meta_value',
	'order' => 'DESC',
	'paged' => $current_page,
);

get_header(); ?>
<div class="container">
	<div id="content" class="row">
		<div class="col-sm-8">

			<?php $the_query = new WP_Query ( $args ); ?>

	   		<? include('dilmot-stream-post.php'); ?> 

		<div class="col-xs-12 col-xs-offset-4">
			<div class="pagination"><?php wp_pagenavi(array('query' => $the_query)); ?></div>
		</div>

	    </div><!-- end col-8 -->
	        
	    <div class="col-sm-4">
	       <? get_sidebar('home'); ?>
	    </div>
	</div><!-- end row -->
</div><!-- /.container -->


<?php get_footer(); ?>